/* ====================================================== */
/* ==                                                  == */
/* ==                 XXXXXXXXX Start                  == */
/* ==                                                  == */
/* ====================================================== */

/* ==================================== */
/* ==       XXXXXXXXXXXX Start       == */
/* ==================================== */
/* ==================================== */
/* ==       XXXXXXXXXXXX  End        == */
/* ==================================== */

/* ==================================== */
/* ==       XXXXXXXXXXXX Start       == */
/* ==================================== */
/* ==================================== */
/* ==       XXXXXXXXXXXX  End        == */
/* ==================================== */

/* ====================================================== */
/* ==                                                  == */
/* ==                 XXXXXXXXX  End                   == */
/* ==                                                  == */
/* ====================================================== */


/* ====================================================== */
/* ==                                                  == */
/* ==      form/input/select/radio/checkbox Start      == */
/* ==                                                  == */
/* ====================================================== */
.ac-form-area{}
.ac-btn-area{display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;margin-top:20px;justify-content:center;align-items:center}
.ac-form-area *:focus{outline-color:transparent;outline-style:none}
.input_form{width: 100%;max-width:100%;margin:0 auto;text-align:left}
/* ==================================== */
/* ==      text-input-row Start      == */
/* ==================================== */
.text-input-row{justify-content: space-between;align-items: flex-start;display: -ms-flexbox;display: flex;-ms-flex-wrap: wrap;flex-wrap: wrap;}
.text-input-row .text-input{-ms-flex: 0 0 calc(50% - 7px);flex: 0 0 calc(50% - 7px);max-width: calc(50% - 7px);}
.text-input-row.full .text-input{-ms-flex: 0 0 100%;flex: 0 0 100%;max-width: 100%;}
.text-input-row.full .forms-group{-ms-flex: 0 0 100%;flex: 0 0 100%;max-width: 100%;}
@media (min-width: 992px) and (max-width: 1199.98px) {}
@media (min-width: 768px) and (max-width: 991.98px) {}
@media (max-width: 767.98px) {}
@media (max-width: 575.98px) {.text-input-row .text-input{-ms-flex: 0 0 100%;flex: 0 0 100%;max-width: 100%}}
@media (max-width: 479.98px) {}
@media (max-width: 379.98px) {}
@media (max-width: 349.98px) {}
/* ==================================== */
/* ==      text-input-row  End       == */
/* ==================================== */

/* ==================================== */
/* ==        input form Start        == */
/* ==================================== */
.input_form label,.input_form label.label_forms-group{display:block;text-align:left;color: #333;font-size:15px;line-height: 1.6;font-weight: 600;margin-bottom: 0px;}
.input_form .text-input{overflow:hidden;margin-bottom: 15px;margin-top: 0;font-size: 15px;}
.input_form input[type="text"],.input_form input[type="password"],.input_form input[type="email"],.input_form input[type="number"],.input_form input[type="tel"]{width:100%;padding:7px 5px 7px;background: #fff;color: #00044a;font-size: 15px;font-weight: 500;border:none;border: solid 1px #bfbcbc;border-bottom:1px solid #999;}
.input_form input[readonly='readonly'],.input_form input[readonly='readonly'],.input_form input[readonly]{border: solid 1px #e4e4e4;background-color: #f7f7f7;color: #a8a8a8;}
.input_form textarea{width:100%;padding:7px 5px 7px;background:none;color:#4d4d4d;font-size:16px;font-weight:400;border:solid 1px #8a8a8a;border-radius:5px;}
.input_form select{width:100%;padding:7px 5px 7px;color: #00044a;font-size: 15px;height:38px;font-weight: 500;border:solid 1px #9a9a9a;border-radius:5px;}
.input_form input[type="text"]:focus + .separator, .input_form input[type="password"]:focus + .separator,.input_form input[type="email"]:focus + .separator{-webkit-transform:scaleX(1) translateY(-2px);transform:scaleX(1) translateY(-2px);opacity:1}
.input_form textarea:focus + .separator{-webkit-transform:scaleX(1) translateY(-2px);transform:scaleX(1) translateY(-2px);opacity:1}
.input_form .text-input.inputborder input{border: solid 1px #bfbcbc;border-radius: 5px;}
.input_form select:focus + .separator{-webkit-transform:scaleX(1) translateY(-2px);transform:scaleX(1) translateY(-2px);opacity:1}
.input_form input[type="submit"]{color:#E51B66;background:#fff;padding: 7px 25px;font-size:16px;border:solid 3px #E51B66;border-radius:25px;display: block;margin: 15px auto;}
.input_form input[type="submit"]:hover,.input_form input[type="submit"]:focus{color:#fff;background:#E51B66;border:solid 3px #E51B66}
.input_form .separator{height:3px;width:100%;background: #999;display:block;-webkit-transform:scaleX(0) translateY(-2px);transform:scaleX(0) translateY(-2px);-webkit-transform-origin:50%;transform-origin:50%;opacity:0;transition:all 0.15s linear;}
.valuetext_p{min-height: 38px;line-height: 1.5;padding: 7px 9px;background: #f7f7f7;margin-bottom: 0;font-size: 15px;color: #555;}
.text-inputtext_gray{color: #777;padding-left: 3px;font-weight: 400;}
/* ==================================== */
/* ==        input form  End         == */
/* ==================================== */

/* ==================================== */
/* ==        text forms Start        == */
/* ==================================== */
.text-forms{display:block;position:relative;padding-left: 25px;cursor:pointer;font-size:18px;}
label.text-forms{color:#555;margin-bottom:15px;font-size: 15px;font-weight: 500;}
.text-forms input{position:absolute;z-index:-1;opacity:0}
.forms__indicator{position:absolute;top:2px;left:0;height:20px;width:20px;background:#e6e6e6}
.forms--radio .forms__indicator{border-radius:50%}
.text-forms:hover input ~ .forms__indicator,.text-forms input:focus ~ .forms__indicator{background:#ccc}
.text-forms input:checked ~ .forms__indicator{background:#e6e6e6}
.text-forms:hover input:not([disabled]):checked ~ .forms__indicator,.text-forms input:checked:focus ~ .forms__indicator{background:#d0d0d0}
.text-forms input:disabled ~ .forms__indicator{background:#e6e6e6;opacity:0.6;pointer-events:none}
.forms__indicator:after{content:'';position:absolute;display:none}
.text-forms input:checked ~ .forms__indicator:after{display:block}
.forms--checkbox .forms__indicator:after{left:3px;top:-1px;content:"\f00c";font-family:FontAwesome;color:#000000;font-size: 14px;}
.forms--checkbox input:disabled ~ .forms__indicator:after{border-color:#7b7b7b}
.forms--radio .forms__indicator:after{left:5px;top:5px;height:10px;width:10px;border-radius:50%;background:#000000}
.forms--radio input:disabled ~ .forms__indicator:after{background:#7b7b7b}
.checkbox_nolosist label,.radio_nolosist label{display:inline-block;margin-right:15px;}
.forms-group.agreecheckbox label.text-forms{display:inline-block}
/* checkbox + input */
.text-forms_input{display: inline-block;}
.text-forms_input .text-input.text-input{display: inline-block;margin-bottom: 0;vertical-align: middle;}
.text-forms_input .text-input.valuetext{display: inline-block;margin-bottom: 0;vertical-align: middle;min-width: 100px;}
.text-forms_input .text-input.text-input input{height: 35px;}


/* ==================================== */
/* ==        text forms  End         == */
/* ==================================== */

/* ==================================== */
/* ==        selectitem Start        == */
/* ==================================== */
.select_item{position:relative;display:inline-block;margin-bottom:15px;width:100%}
.select_item select{display:inline-block;width:100%;cursor:pointer;padding:10px 15px;outline:0;border:0;border-radius:0;background:#e6e6e6;color:#7b7b7b;appearance:none;-webkit-appearance:none;-moz-appearance:none}
.select_item select::-ms-expand{display:none}
.select_item select:hover,.select_item select:focus{color:#000;background:#ccc}
.select_item select:disabled{opacity:0.5;pointer-events:none}
.select__arrow{position:absolute;top:16px;right:15px;width:0;height:0;pointer-events:none;border-style:solid;border-width:8px 5px 0 5px;border-color:#7b7b7b transparent transparent transparent}
.select_item select:hover ~ .select__arrow,.select_item select:focus ~ .select__arrow{border-top-color:#000}
.select_item select:disabled ~ .select__arrow{border-top-color:#ccc}
/* ==================================== */
/* ==        selectitem  End         == */
/* ==================================== */

/* ==================================== */
/* ==       verification Start       == */
/* ==================================== */
.verification_text{color:#dc4914;font-size:13px;text-align:right;display:block}
.text-input.text-input_verification{display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;justify-content:center;align-items:flex-end}
.text-input_verification_input{-ms-flex:0 0 calc(100% - 80px);flex:0 0 calc(100% - 80px);max-width:calc(100% - 80px)}
.text-input_verification_btn{-ms-flex:0 0 80px;flex:0 0 80px;max-width:80px;display:flex;height:38px;justify-content:center;align-items:center;border-top-left-radius:0;border-top-right-radius: 3px;border-bottom-right-radius: 3px;border-bottom-left-radius:0;border:solid 1px #9c9c9c;background-color:#c3c3c3;}
.text-input_verification_btn a{width: 100%;height: 100%;height: 38px;display: flex;justify-content: center;align-items: center;}
.text-input_verification_input input{border-top-left-radius: 3px;border-top-right-radius: 0;border-bottom-right-radius: 0;border-bottom-left-radius: 3px;}
.text-input_verification_btn span{display: inline-block;font-size: 13px;color: #fff;}
.text-input_verification_btn.verification_btn_check,.text-input_verification_btn.verification_btn_reset{border: solid 1px #707070;background-color: #6c6c6c;}
.text-input_verification_btn.verification_btn_success span,.text-input_verification_btn.verification_btn_reset span{position: relative;}
.text-input_verification_btn.verification_btn_success span::before,.text-input_verification_btn.verification_btn_reset span::before{content: "";position: absolute;}
/* .text-input_verification_btn.verification_btn_success span::before{background: url('../images/btn-success.svg') center center no-repeat;background-size: 13px;width: 13px;height: 12px;top: 5px;left: 4px;}
.text-input_verification_btn.verification_btn_reset span::before{background: url('../images/btn-reset.svg') center center no-repeat;background-size: 13px;width: 13px;height: 16px;top: 0px;left: 2px;} */
.text-input_verification_btn.verification_btn_success{background-color:#10ae39;border:solid 1px #0E9632}
.text-input_verification_btn.verification_btn_reset{background-color:#C54112;border:solid 1px #ae3910}
/* ==================================== */
/* ==       verification  End        == */
/* ==================================== */

/* ==================================== */
/* ==        flatpickr Start         == */
/* ==================================== */
.flatpickr_item{justify-content:space-between;align-items:flex-start;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap}
.flatpickr_item input[type="text"],.flatpickr_item input[type="date"],.flatpickr_item input[type="datetime-local"],.flatpickr_item input[type="time"]{border:1px solid #c3c3c3;height:36px;line-height:36px;width:100%;padding:8px;max-width:calc(100% - 80px);border-radius:3px;background:#f9f9f9;float:left}
.flatpickr_item a.input-button{text-decoration:none;border:1px solid #bbb;display:block;padding:8px 12px;border-left:0;cursor:pointer;align-self:center;justify-content:center;line-height:1;width:40px;float:left;text-align:center;font-size:18px;color:#555}
.flatpickr_item a.input-button:hover{background:#f7f7f7}
.flatpickr_item.select_dot,.flatpickr_item.selecttime{}
.flatpickr_item.select_dot input,.flatpickr_item.selecttime input,.flatpickr_item.selectrange_time input{max-width: 100%;}

/* ==================================== */
/* ==        flatpickr  End          == */
/* ==================================== */

/* ==================================== */
/* ==        fancyRadio Start        == */
/* ==================================== */
/* https://codepen.io/sean_codes/pen/ygmNJO */
.ac-fancyRadio{-ms-flex-preferred-size:0;flex-basis:0;-ms-flex-positive:1;flex-grow:1;max-width:100%;justify-content:space-between;align-items:center;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap}
.ac-fancyRadio *{vertical-align:top;user-select:none}
.ac-fancyRadio>label{-ms-flex:0 0 calc(100% - 120px);flex:0 0 calc(100% - 120px);max-width:calc(100% - 120px);padding-right:15px}
.ac-fancyRadio .ac-fancyRadio_toggle{position:relative;background:#222;height:38px;border-radius:4px;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-ms-flex:0 0 120px;flex:0 0 120px;max-width:120px}
.ac-fancyRadio .ac-fancyRadio_toggle input{display:none}
.ac-fancyRadio .ac-fancyRadio_toggle input:checked+label{color:#FFF}
.ac-fancyRadio .ac-fancyRadio_toggle input:checked+label:after{background:#c54112;transform:scale(1)}
.ac-fancyRadio .ac-fancyRadio_toggle label{z-index:100;position:relative;font-size:12px;line-height:30px;color:#BBB;text-align:center;-ms-flex:0 0 50%;flex:0 0 50%;max-width:50%;vertical-align:middle;display:flex;justify-content:center;align-items:center}
.ac-fancyRadio .ac-fancyRadio_toggle label:after{position:absolute;content:" ";top:5px;left:0;width:calc(100% - 10px);height:calc(100% - 10px);border-radius:4px;transform:scale(0);transition:all 0.5s;z-index:-1;box-sizing:border-box;margin-left:5px}
/* ==================================== */
/* ==        fancyRadio  End         == */
/* ==================================== */

/* ==================================== */
/* ==         address Start          == */
/* ==================================== */
.text-input-address{-ms-flex-preferred-size:0;flex-basis:0;-ms-flex-positive:1;flex-grow:1;max-width:100%;justify-content:space-between;align-items:center;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap}
.text-input-address>label{-ms-flex:0 0 100%;flex:0 0 100%;max-width:100%}
.text-input-address>.text-input{-ms-flex:0 0 calc(60% - 7px);flex:0 0 calc(60% - 7px);max-width:calc(60% - 7px)}
.text-input-address>.text-input.select{-ms-flex:0 0 calc(20% - 7px);flex:0 0 calc(20% - 7px);max-width:calc(20% - 7px)}
@media (max-width:575.98px){
    .text-input-address>.text-input{-ms-flex:0 0 100%;flex:0 0 100%;max-width:100%}
    .text-input-address>.text-input.select{-ms-flex:0 0 calc(50% - 7px);flex:0 0 calc(50% - 7px);max-width:calc(50% - 7px)}
}
/* ==================================== */
/* ==         address  End          == */
/* ==================================== */


/* ====================================================== */
/* ==                                                  == */
/* ==      form/input/select/radio/checkbox  End       == */
/* ==                                                  == */
/* ====================================================== */





